
module FF_N8_0 ( D, Q, clk );
  input [7:0] D;
  output [7:0] Q;
  input clk;


  QDFFELD \Q_reg[6]  ( .D(D[6]), .CK(clk), .Q(Q[6]) );
  QDFFELD \Q_reg[5]  ( .D(D[5]), .CK(clk), .Q(Q[5]) );
  QDFFELD \Q_reg[4]  ( .D(D[4]), .CK(clk), .Q(Q[4]) );
  QDFFELD \Q_reg[7]  ( .D(D[7]), .CK(clk), .Q(Q[7]) );
  QDFFELD \Q_reg[3]  ( .D(D[3]), .CK(clk), .Q(Q[3]) );
  QDFFELD \Q_reg[2]  ( .D(D[2]), .CK(clk), .Q(Q[2]) );
  QDFFELD \Q_reg[1]  ( .D(D[1]), .CK(clk), .Q(Q[1]) );
  QDFFELD \Q_reg[0]  ( .D(D[0]), .CK(clk), .Q(Q[0]) );
endmodule


module FF_N8_3 ( D, Q, clk );
  input [7:0] D;
  output [7:0] Q;
  input clk;


  QDFFELD \Q_reg[4]  ( .D(D[4]), .CK(clk), .Q(Q[4]) );
  QDFFELD \Q_reg[6]  ( .D(D[6]), .CK(clk), .Q(Q[6]) );
  QDFFELD \Q_reg[5]  ( .D(D[5]), .CK(clk), .Q(Q[5]) );
  QDFFELD \Q_reg[7]  ( .D(D[7]), .CK(clk), .Q(Q[7]) );
  QDFFELD \Q_reg[3]  ( .D(D[3]), .CK(clk), .Q(Q[3]) );
  QDFFELD \Q_reg[2]  ( .D(D[2]), .CK(clk), .Q(Q[2]) );
  QDFFELD \Q_reg[1]  ( .D(D[1]), .CK(clk), .Q(Q[1]) );
  QDFFELD \Q_reg[0]  ( .D(D[0]), .CK(clk), .Q(Q[0]) );
endmodule


module FF_N8_2 ( D, Q, clk );
  input [7:0] D;
  output [7:0] Q;
  input clk;


  QDFFELD \Q_reg[6]  ( .D(D[6]), .CK(clk), .Q(Q[6]) );
  QDFFELD \Q_reg[4]  ( .D(D[4]), .CK(clk), .Q(Q[4]) );
  QDFFELD \Q_reg[5]  ( .D(D[5]), .CK(clk), .Q(Q[5]) );
  QDFFELD \Q_reg[7]  ( .D(D[7]), .CK(clk), .Q(Q[7]) );
  QDFFELD \Q_reg[3]  ( .D(D[3]), .CK(clk), .Q(Q[3]) );
  QDFFELD \Q_reg[2]  ( .D(D[2]), .CK(clk), .Q(Q[2]) );
  QDFFELD \Q_reg[1]  ( .D(D[1]), .CK(clk), .Q(Q[1]) );
  QDFFELD \Q_reg[0]  ( .D(D[0]), .CK(clk), .Q(Q[0]) );
endmodule


module MUX2_N8_0 ( IN0, IN1, Q, SEL );
  input [7:0] IN0;
  input [7:0] IN1;
  output [7:0] Q;
  input SEL;
  wire   n1;

  INVDLD U1 ( .I(SEL), .O(n1) );
  AO22CLD U2 ( .A1(SEL), .A2(IN1[7]), .B1(IN0[7]), .B2(n1), .O(Q[7]) );
  AO22CLD U3 ( .A1(IN1[0]), .A2(SEL), .B1(IN0[0]), .B2(n1), .O(Q[0]) );
  AO22CLD U4 ( .A1(IN1[1]), .A2(SEL), .B1(IN0[1]), .B2(n1), .O(Q[1]) );
  AO22CLD U5 ( .A1(IN1[2]), .A2(SEL), .B1(IN0[2]), .B2(n1), .O(Q[2]) );
  AO22CLD U6 ( .A1(IN1[3]), .A2(SEL), .B1(IN0[3]), .B2(n1), .O(Q[3]) );
  AO22CLD U7 ( .A1(IN1[4]), .A2(SEL), .B1(IN0[4]), .B2(n1), .O(Q[4]) );
  AO22CLD U8 ( .A1(IN1[5]), .A2(SEL), .B1(IN0[5]), .B2(n1), .O(Q[5]) );
  AO22CLD U9 ( .A1(IN1[6]), .A2(SEL), .B1(IN0[6]), .B2(n1), .O(Q[6]) );
endmodule


module MUX2_N8_1 ( IN0, IN1, Q, SEL );
  input [7:0] IN0;
  input [7:0] IN1;
  output [7:0] Q;
  input SEL;
  wire   n1;

  INVDLD U1 ( .I(SEL), .O(n1) );
  AO22CLD U2 ( .A1(SEL), .A2(IN1[7]), .B1(IN0[7]), .B2(n1), .O(Q[7]) );
  AO22CLD U3 ( .A1(IN1[0]), .A2(SEL), .B1(IN0[0]), .B2(n1), .O(Q[0]) );
  AO22CLD U4 ( .A1(IN1[1]), .A2(SEL), .B1(IN0[1]), .B2(n1), .O(Q[1]) );
  AO22CLD U5 ( .A1(IN1[2]), .A2(SEL), .B1(IN0[2]), .B2(n1), .O(Q[2]) );
  AO22CLD U6 ( .A1(IN1[3]), .A2(SEL), .B1(IN0[3]), .B2(n1), .O(Q[3]) );
  AO22CLD U7 ( .A1(IN1[4]), .A2(SEL), .B1(IN0[4]), .B2(n1), .O(Q[4]) );
  AO22CLD U8 ( .A1(IN1[5]), .A2(SEL), .B1(IN0[5]), .B2(n1), .O(Q[5]) );
  AO22CLD U9 ( .A1(IN1[6]), .A2(SEL), .B1(IN0[6]), .B2(n1), .O(Q[6]) );
endmodule


module FF_N8_1 ( D, Q, clk );
  input [7:0] D;
  output [7:0] Q;
  input clk;


  QDFFELD \Q_reg[7]  ( .D(D[7]), .CK(clk), .Q(Q[7]) );
  QDFFELD \Q_reg[6]  ( .D(D[6]), .CK(clk), .Q(Q[6]) );
  QDFFELD \Q_reg[5]  ( .D(D[5]), .CK(clk), .Q(Q[5]) );
  QDFFELD \Q_reg[4]  ( .D(D[4]), .CK(clk), .Q(Q[4]) );
  QDFFELD \Q_reg[3]  ( .D(D[3]), .CK(clk), .Q(Q[3]) );
  QDFFELD \Q_reg[2]  ( .D(D[2]), .CK(clk), .Q(Q[2]) );
  QDFFELD \Q_reg[1]  ( .D(D[1]), .CK(clk), .Q(Q[1]) );
  QDFFELD \Q_reg[0]  ( .D(D[0]), .CK(clk), .Q(Q[0]) );
endmodule


module SUB_N8_0_DW01_sub_0 ( A, B, CI, DIFF, CO );
  input [8:0] A;
  input [8:0] B;
  output [8:0] DIFF;
  input CI;
  output CO;
  wire   n1, n2, n3, n4, n5, n6, n7, n8, n9;
  wire   [9:0] carry;

  FA1DLD U2_1 ( .A(A[1]), .B(n8), .CI(carry[1]), .CO(carry[2]), .S(DIFF[1]) );
  FA1DLD U2_2 ( .A(A[2]), .B(n7), .CI(carry[2]), .CO(carry[3]), .S(DIFF[2]) );
  FA1DLD U2_3 ( .A(A[3]), .B(n6), .CI(carry[3]), .CO(carry[4]), .S(DIFF[3]) );
  FA1DLD U2_4 ( .A(A[4]), .B(n5), .CI(carry[4]), .CO(carry[5]), .S(DIFF[4]) );
  FA1DLD U2_6 ( .A(A[6]), .B(n3), .CI(carry[6]), .CO(carry[7]), .S(DIFF[6]) );
  FA1DLD U2_5 ( .A(A[5]), .B(n4), .CI(carry[5]), .CO(carry[6]), .S(DIFF[5]) );
  FA1DLD U2_7 ( .A(A[7]), .B(n2), .CI(carry[7]), .CO(carry[8]), .S(DIFF[7]) );
  XOR3ELD U2_8 ( .I1(A[8]), .I2(n2), .I3(carry[8]), .O(DIFF[8]) );
  XOR2ELD U1 ( .I1(n1), .I2(n9), .O(DIFF[0]) );
  INVDLD U2 ( .I(B[5]), .O(n4) );
  INVDLD U3 ( .I(B[6]), .O(n3) );
  INVDLD U4 ( .I(B[4]), .O(n5) );
  INVDLD U5 ( .I(B[3]), .O(n6) );
  INVDLD U6 ( .I(B[2]), .O(n7) );
  INVDLD U7 ( .I(B[1]), .O(n8) );
  ND2DLD U8 ( .I1(B[0]), .I2(n1), .O(carry[1]) );
  INVDLD U9 ( .I(B[0]), .O(n9) );
  INVDLD U10 ( .I(A[0]), .O(n1) );
  INVDLD U11 ( .I(B[8]), .O(n2) );
endmodule


module SUB_N8_0 ( POS, NEG, Q );
  input [7:0] POS;
  input [7:0] NEG;
  output [8:0] Q;
  wire   n1;

  SUB_N8_0_DW01_sub_0 sub_26 ( .A({POS[7], POS}), .B({NEG[7], NEG}), .CI(n1), 
        .DIFF(Q) );
  TIE0DLD U1 ( .O(n1) );
endmodule


module SUB_N8_2_DW01_sub_0 ( A, B, CI, DIFF, CO );
  input [8:0] A;
  input [8:0] B;
  output [8:0] DIFF;
  input CI;
  output CO;
  wire   n1, n2, n3, n4, n5, n6, n7, n8, n9;
  wire   [9:0] carry;

  FA1DLD U2_1 ( .A(A[1]), .B(n8), .CI(carry[1]), .CO(carry[2]), .S(DIFF[1]) );
  FA1DLD U2_6 ( .A(A[6]), .B(n3), .CI(carry[6]), .CO(carry[7]), .S(DIFF[6]) );
  FA1DLD U2_5 ( .A(A[5]), .B(n4), .CI(carry[5]), .CO(carry[6]), .S(DIFF[5]) );
  FA1DLD U2_4 ( .A(A[4]), .B(n5), .CI(carry[4]), .CO(carry[5]), .S(DIFF[4]) );
  FA1DLD U2_3 ( .A(A[3]), .B(n6), .CI(carry[3]), .CO(carry[4]), .S(DIFF[3]) );
  FA1DLD U2_2 ( .A(A[2]), .B(n7), .CI(carry[2]), .CO(carry[3]), .S(DIFF[2]) );
  FA1DLD U2_7 ( .A(A[7]), .B(n2), .CI(carry[7]), .CO(carry[8]), .S(DIFF[7]) );
  XOR3ELD U2_8 ( .I1(A[8]), .I2(n2), .I3(carry[8]), .O(DIFF[8]) );
  XOR2ELD U1 ( .I1(n1), .I2(n9), .O(DIFF[0]) );
  INVDLD U2 ( .I(B[2]), .O(n7) );
  INVDLD U3 ( .I(B[3]), .O(n6) );
  INVDLD U4 ( .I(B[4]), .O(n5) );
  INVDLD U5 ( .I(B[5]), .O(n4) );
  INVDLD U6 ( .I(B[6]), .O(n3) );
  INVDLD U7 ( .I(B[1]), .O(n8) );
  ND2DLD U8 ( .I1(B[0]), .I2(n1), .O(carry[1]) );
  INVDLD U9 ( .I(A[0]), .O(n1) );
  INVDLD U10 ( .I(B[0]), .O(n9) );
  INVDLD U11 ( .I(B[8]), .O(n2) );
endmodule


module SUB_N8_2 ( POS, NEG, Q );
  input [7:0] POS;
  input [7:0] NEG;
  output [8:0] Q;
  wire   n2;

  SUB_N8_2_DW01_sub_0 sub_26 ( .A({POS[7], POS}), .B({NEG[7], NEG}), .CI(n2), 
        .DIFF(Q) );
  TIE0DLD U1 ( .O(n2) );
endmodule


module SUB_N8_1_DW01_sub_0 ( A, B, CI, DIFF, CO );
  input [8:0] A;
  input [8:0] B;
  output [8:0] DIFF;
  input CI;
  output CO;
  wire   n1, n2, n3, n4, n5, n6, n7, n8, n9, n10, n11, n12;
  wire   [9:0] carry;

  FA1DLD U2_4 ( .A(A[4]), .B(n5), .CI(carry[4]), .CO(carry[5]), .S(DIFF[4]) );
  FA1DLD U2_1 ( .A(A[1]), .B(n8), .CI(carry[1]), .CO(carry[2]), .S(DIFF[1]) );
  FA1DLD U2_3 ( .A(A[3]), .B(n6), .CI(carry[3]), .CO(carry[4]), .S(DIFF[3]) );
  FA1DLD U2_2 ( .A(A[2]), .B(n7), .CI(carry[2]), .CO(carry[3]), .S(DIFF[2]) );
  XOR3ELD U2_8 ( .I1(A[8]), .I2(n3), .I3(carry[8]), .O(DIFF[8]) );
  FA1DLD U2_7 ( .A(A[7]), .B(n3), .CI(carry[7]), .CO(carry[8]), .S(DIFF[7]) );
  INVDLD U1 ( .I(B[5]), .O(n4) );
  INVDLD U2 ( .I(B[2]), .O(n7) );
  INVDLD U3 ( .I(B[3]), .O(n6) );
  INVDLD U4 ( .I(B[1]), .O(n8) );
  ND2DLD U5 ( .I1(B[0]), .I2(n1), .O(carry[1]) );
  XOR2ELD U6 ( .I1(n1), .I2(n9), .O(DIFF[0]) );
  INVDLD U7 ( .I(A[0]), .O(n1) );
  INVDLD U8 ( .I(B[4]), .O(n5) );
  INVDLD U9 ( .I(B[0]), .O(n9) );
  INVDLD U10 ( .I(B[8]), .O(n3) );
  INVDLD U11 ( .I(A[5]), .O(n2) );
  MOAI1CLD U12 ( .A1(B[6]), .A2(n10), .B1(n11), .B2(A[6]), .O(carry[7]) );
  NR2BLD U13 ( .I1(A[6]), .I2(n11), .O(n10) );
  OAI12CLD U14 ( .B1(B[5]), .B2(n2), .A1(n12), .O(n11) );
  OAI12CLD U15 ( .B1(A[5]), .B2(n4), .A1(carry[5]), .O(n12) );
endmodule


module SUB_N8_1 ( POS, NEG, Q );
  input [7:0] POS;
  input [7:0] NEG;
  output [8:0] Q;
  wire   n2;

  SUB_N8_1_DW01_sub_0 sub_26 ( .A({POS[7], POS}), .B({NEG[7], NEG}), .CI(n2), 
        .DIFF(Q) );
  TIE0DLD U1 ( .O(n2) );
endmodule


module MEDIAN_LOGIC ( a, b, c, q, w );
  input a, b, c;
  output q, w;


  XNR2ELD U3 ( .I1(c), .I2(b), .O(q) );
  XNR2ELD U4 ( .I1(c), .I2(a), .O(w) );
endmodule


module MEDIANFILTER_N8 ( INP, UTP, clk );
  input [7:0] INP;
  output [7:0] UTP;
  input clk;
  wire   \*Logic1* , \*Logic0* , clki, q, w, cc_8, cc_7;
  wire   [7:0] INPi;
  wire   [7:0] UTPi;
  wire   [7:0] inp1;
  wire   [7:0] inp2;
  wire   [7:0] inp3;
  wire   [7:0] mux0;
  wire   [7:0] utp0;
  wire   [8:0] aa;
  wire   [8:0] bb;
  wire   [4:0] cc;
  wire   [31:0] ram_in_sig;
  wire   [8:0] rom_addr;
  tri   [7:0] UTP;
  tri   [13:0] rom_out_sig;
  tri   [31:19] ram_out_sig;
  tri   ram_out_sig_8;
  tri   ram_out_sig_7;
  tri   ram_out_sig_6;
  tri   ram_out_sig_5;
  tri   ram_out_sig_4;
  tri   ram_out_sig_3;
  tri   ram_out_sig_2;
  tri   ram_out_sig_1;
  tri   ram_out_sig_0;
  wire   SYNOPSYS_UNCONNECTED__0, SYNOPSYS_UNCONNECTED__1;

  XMLB InPad_0 ( .I(INP[0]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[0]) );
  XMLB InPad_1 ( .I(INP[1]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[1]) );
  XMLB InPad_2 ( .I(INP[2]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[2]) );
  XMLB InPad_3 ( .I(INP[3]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[3]) );
  XMLB InPad_4 ( .I(INP[4]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[4]) );
  XMLB InPad_5 ( .I(INP[5]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[5]) );
  XMLB InPad_6 ( .I(INP[6]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[6]) );
  XMLB InPad_7 ( .I(INP[7]), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), .O(INPi[7]) );
  XMLB clkpad ( .I(clk), .PU(\*Logic0* ), .PD(\*Logic0* ), .SMT(\*Logic0* ), 
        .O(clki) );
  YA28SLB OutPad_0 ( .I(UTPi[0]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[0]) );
  YA28SLB OutPad_1 ( .I(UTPi[1]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[1]) );
  YA28SLB OutPad_2 ( .I(UTPi[2]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[2]) );
  YA28SLB OutPad_3 ( .I(UTPi[3]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[3]) );
  YA28SLB OutPad_4 ( .I(UTPi[4]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[4]) );
  YA28SLB OutPad_5 ( .I(UTPi[5]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[5]) );
  YA28SLB OutPad_6 ( .I(UTPi[6]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[6]) );
  YA28SLB OutPad_7 ( .I(UTPi[7]), .E(\*Logic1* ), .E2(\*Logic0* ), .E4(
        \*Logic0* ), .SR(\*Logic0* ), .O(UTP[7]) );
  SHUD130_128X32X1BM1 RAM_0 ( .A0(aa[0]), .A1(aa[1]), .A2(aa[2]), .A3(aa[3]), 
        .A4(aa[4]), .A5(aa[5]), .A6(aa[6]), .DI0(ram_in_sig[31]), .DI1(
        ram_in_sig[30]), .DI2(ram_in_sig[29]), .DI3(ram_in_sig[28]), .DI4(
        ram_in_sig[27]), .DI5(ram_in_sig[26]), .DI6(ram_in_sig[25]), .DI7(
        ram_in_sig[24]), .DI8(ram_in_sig[23]), .DI9(ram_in_sig[22]), .DI10(
        ram_in_sig[21]), .DI11(ram_in_sig[20]), .DI12(ram_in_sig[19]), .DI13(
        ram_in_sig[18]), .DI14(ram_in_sig[17]), .DI15(ram_in_sig[16]), .DI16(
        ram_in_sig[15]), .DI17(ram_in_sig[14]), .DI18(ram_in_sig[13]), .DI19(
        ram_in_sig[12]), .DI20(ram_in_sig[11]), .DI21(ram_in_sig[10]), .DI22(
        ram_in_sig[9]), .DI23(ram_in_sig[8]), .DI24(ram_in_sig[7]), .DI25(
        ram_in_sig[6]), .DI26(ram_in_sig[5]), .DI27(ram_in_sig[4]), .DI28(
        ram_in_sig[3]), .DI29(ram_in_sig[2]), .DI30(ram_in_sig[1]), .DI31(
        ram_in_sig[0]), .WEB(aa[6]), .CS(aa[5]), .OE(aa[4]), .CK(clki), .DO0(
        ram_out_sig[31]), .DO1(ram_out_sig[30]), .DO2(ram_out_sig[29]), .DO3(
        ram_out_sig[28]), .DO4(ram_out_sig[27]), .DO5(ram_out_sig[26]), .DO6(
        ram_out_sig[25]), .DO7(ram_out_sig[24]), .DO8(ram_out_sig[23]), .DO9(
        ram_out_sig[22]), .DO10(ram_out_sig[21]), .DO11(ram_out_sig[20]), 
        .DO12(ram_out_sig[19]), .DO23(ram_out_sig_8), .DO24(ram_out_sig_7), 
        .DO25(ram_out_sig_6), .DO26(ram_out_sig_5), .DO27(ram_out_sig_4), 
        .DO28(ram_out_sig_3), .DO29(ram_out_sig_2), .DO30(ram_out_sig_1), 
        .DO31(ram_out_sig_0) );
  SPUD130_512X14BM1A ROM_0 ( .A0(rom_addr[0]), .A1(rom_addr[1]), .A2(
        rom_addr[2]), .A3(rom_addr[3]), .A4(rom_addr[4]), .A5(rom_addr[5]), 
        .A6(rom_addr[6]), .A7(rom_addr[7]), .A8(rom_addr[8]), .CS(cc_7), .OE(
        aa[3]), .CK(clki), .DO0(rom_out_sig[0]), .DO1(rom_out_sig[1]), .DO2(
        rom_out_sig[2]), .DO3(rom_out_sig[3]), .DO4(rom_out_sig[4]), .DO5(
        rom_out_sig[5]), .DO6(rom_out_sig[6]), .DO7(rom_out_sig[7]), .DO8(
        rom_out_sig[8]), .DO9(rom_out_sig[9]), .DO10(rom_out_sig[10]), .DO11(
        rom_out_sig[11]), .DO12(rom_out_sig[12]), .DO13(rom_out_sig[13]) );
  FF_N8_0 FF_0 ( .D(INPi), .Q(inp1), .clk(clki) );
  FF_N8_3 FF_1 ( .D(inp1), .Q(inp2), .clk(clki) );
  FF_N8_2 FF_2 ( .D(inp2), .Q(inp3), .clk(clki) );
  MUX2_N8_0 MUX2_0 ( .IN0(inp1), .IN1(inp2), .Q(mux0), .SEL(q) );
  MUX2_N8_1 MUX2_1 ( .IN0(mux0), .IN1(inp3), .Q(utp0), .SEL(w) );
  FF_N8_1 FF_3 ( .D(utp0), .Q(UTPi), .clk(clki) );
  SUB_N8_0 SUB_0 ( .POS(inp3), .NEG(inp1), .Q(aa) );
  SUB_N8_2 SUB_1 ( .POS(inp1), .NEG(inp2), .Q(bb) );
  SUB_N8_1 SUB_2 ( .POS(inp2), .NEG(inp3), .Q({cc_8, cc_7, 
        SYNOPSYS_UNCONNECTED__0, SYNOPSYS_UNCONNECTED__1, cc}) );
  MEDIAN_LOGIC LOGIC ( .a(aa[8]), .b(bb[8]), .c(cc_8), .q(q), .w(w) );
  XOR2ELD U44 ( .I1(rom_out_sig[10]), .I2(aa[5]), .O(ram_in_sig[28]) );
  XOR2ELD U45 ( .I1(rom_out_sig[9]), .I2(aa[4]), .O(ram_in_sig[27]) );
  XOR2ELD U46 ( .I1(rom_out_sig[8]), .I2(aa[3]), .O(ram_in_sig[26]) );
  XOR2ELD U47 ( .I1(rom_out_sig[11]), .I2(aa[6]), .O(ram_in_sig[29]) );
  XOR2ELD U48 ( .I1(rom_out_sig[9]), .I2(bb[8]), .O(ram_in_sig[13]) );
  XOR2ELD U49 ( .I1(rom_out_sig[4]), .I2(bb[8]), .O(ram_in_sig[22]) );
  XOR2ELD U50 ( .I1(rom_out_sig[6]), .I2(aa[1]), .O(ram_in_sig[24]) );
  XOR2ELD U51 ( .I1(rom_out_sig[7]), .I2(aa[2]), .O(ram_in_sig[25]) );
  XOR2ELD U52 ( .I1(rom_out_sig[13]), .I2(aa[8]), .O(ram_in_sig[31]) );
  XOR2ELD U53 ( .I1(rom_out_sig[2]), .I2(bb[1]), .O(ram_in_sig[6]) );
  XOR2ELD U54 ( .I1(rom_out_sig[3]), .I2(bb[2]), .O(ram_in_sig[7]) );
  XOR2ELD U55 ( .I1(rom_out_sig[4]), .I2(bb[3]), .O(ram_in_sig[8]) );
  XOR2ELD U56 ( .I1(rom_out_sig[5]), .I2(bb[4]), .O(ram_in_sig[9]) );
  XOR2ELD U57 ( .I1(rom_out_sig[6]), .I2(bb[5]), .O(ram_in_sig[10]) );
  XOR2ELD U58 ( .I1(rom_out_sig[7]), .I2(bb[6]), .O(ram_in_sig[11]) );
  XOR2ELD U59 ( .I1(rom_out_sig[8]), .I2(bb[7]), .O(ram_in_sig[12]) );
  XOR2ELD U60 ( .I1(rom_out_sig[11]), .I2(bb[1]), .O(ram_in_sig[15]) );
  XOR2ELD U61 ( .I1(rom_out_sig[12]), .I2(bb[2]), .O(ram_in_sig[16]) );
  XOR2ELD U62 ( .I1(rom_out_sig[13]), .I2(bb[3]), .O(ram_in_sig[17]) );
  XOR2ELD U63 ( .I1(rom_out_sig[0]), .I2(bb[4]), .O(ram_in_sig[18]) );
  XOR2ELD U64 ( .I1(rom_out_sig[1]), .I2(bb[5]), .O(ram_in_sig[19]) );
  XOR2ELD U65 ( .I1(rom_out_sig[2]), .I2(bb[6]), .O(ram_in_sig[20]) );
  XOR2ELD U66 ( .I1(rom_out_sig[3]), .I2(bb[7]), .O(ram_in_sig[21]) );
  XOR2ELD U67 ( .I1(rom_out_sig[5]), .I2(aa[0]), .O(ram_in_sig[23]) );
  XOR2ELD U68 ( .I1(rom_out_sig[1]), .I2(bb[0]), .O(ram_in_sig[5]) );
  XOR2ELD U69 ( .I1(rom_out_sig[10]), .I2(bb[0]), .O(ram_in_sig[14]) );
  XOR2ELD U70 ( .I1(rom_out_sig[1]), .I2(cc[1]), .O(ram_in_sig[1]) );
  XOR2ELD U71 ( .I1(rom_out_sig[2]), .I2(cc[2]), .O(ram_in_sig[2]) );
  XOR2ELD U72 ( .I1(rom_out_sig[3]), .I2(cc[3]), .O(ram_in_sig[3]) );
  XOR2ELD U73 ( .I1(rom_out_sig[0]), .I2(cc[4]), .O(ram_in_sig[4]) );
  XOR2ELD U74 ( .I1(rom_out_sig[12]), .I2(aa[7]), .O(ram_in_sig[30]) );
  XOR2ELD U75 ( .I1(rom_out_sig[0]), .I2(cc[0]), .O(ram_in_sig[0]) );
  AN3ELD U76 ( .I1(ram_out_sig[23]), .I2(ram_out_sig[27]), .I3(ram_out_sig_4), 
        .O(rom_addr[4]) );
  AN3ELD U77 ( .I1(ram_out_sig[31]), .I2(ram_out_sig[27]), .I3(ram_out_sig_8), 
        .O(rom_addr[8]) );
  AN3ELD U78 ( .I1(ram_out_sig[30]), .I2(ram_out_sig[26]), .I3(ram_out_sig_7), 
        .O(rom_addr[7]) );
  AN3ELD U79 ( .I1(ram_out_sig[29]), .I2(ram_out_sig[25]), .I3(ram_out_sig_6), 
        .O(rom_addr[6]) );
  AN3ELD U80 ( .I1(ram_out_sig[28]), .I2(ram_out_sig[24]), .I3(ram_out_sig_5), 
        .O(rom_addr[5]) );
  AN3ELD U81 ( .I1(ram_out_sig[22]), .I2(ram_out_sig[26]), .I3(ram_out_sig_3), 
        .O(rom_addr[3]) );
  AN3ELD U82 ( .I1(ram_out_sig[21]), .I2(ram_out_sig[25]), .I3(ram_out_sig_2), 
        .O(rom_addr[2]) );
  AN3ELD U83 ( .I1(ram_out_sig[20]), .I2(ram_out_sig[24]), .I3(ram_out_sig_1), 
        .O(rom_addr[1]) );
  AN3ELD U84 ( .I1(ram_out_sig[19]), .I2(ram_out_sig[23]), .I3(ram_out_sig_0), 
        .O(rom_addr[0]) );
  TIE0DLD U85 ( .O(\*Logic0* ) );
  TIE1DLD U86 ( .O(\*Logic1* ) );
endmodule

